services:
  bookkeeping.commerce_config:
    class: Drupal\bookkeeping\CommerceConfig
    arguments: ['@module_handler', '@entity_type.manager', '@config.factory']

  bookkeeping.entity_hooks.commerce_payment:
    class: Drupal\bookkeeping\Hooks\Entity\CommercePayment
    arguments: ['@entity_type.manager', '@config.factory', '@event_dispatcher']

  bookkeeping.entity_hooks.commerce_order:
    class: Drupal\bookkeeping\Hooks\Entity\CommerceOrder
    arguments: ['@entity_type.manager', '@config.factory', '@event_dispatcher']
